%  Modelit Embedded Webserver Toolbox   
%  Version 1.0.5 (9.14.0.2206163 (R2023a)) 24-Mar-2023   
%  cell2str                                  - Convert cell array to a string.   
%  compressutil                              - In memory compression utility.   
%  createDockerfile                          - Generate and write a Dockerfile.   
%  deletefile                                - Delete file using java method.   
%  deserialize                               - Convert a serialized Matlab variable to its original form.   
%  deserialize_v2                            - Deserialize Matlab variable, without writing to disk.   
%  dprintf                                   - Shortcut for disp(sprintf(formatstr,arg1,arg2,...))   
%  modelit.web.client.HttpRequest            - Create an HttpRequest.   
%  modelit.web.client.HttpResponse           - An HttpResponse object contains the data returned from the server.   
%                                            - After a HttpRequest was sent it also contains the response headers and statuscodes.   
%  modelit.web.concurrent.Callable           - Abstract class for encapsulating a java object which implements the Callable interface.   
%  modelit.web.concurrent.ThreadPoolExecutor - Construct a pool with tasks to be executed by one or more threads. Tasks are taken from the pool depending on   
%                                            - the number of threads. And are asynchronously executed. The tasks that   
%                                            - can be added to the pool must be of type modelit.web.concurrent.Callable   
%  modelit.web.server.HttpExchange           - Create a Matlab wrapper for the com.sun.net.httpserver.HttpExchange java object.   
%                                            - This object is used when a webservice is called to retrieve   
%                                            - request info, such as the data and headers and to prepare the   
%                                            - message to be returned. The data sent by the client are stored as redundant data in this constructor.   
%  modelit.web.server.Server                 - Create a HTTP server that listens to a specific port and   
%                                            - processes requests through the specified callback.   
%  modelit.web.server.ServerInvokedEvent     - Event fired when a request is made to the Server.   
%  AuthenticationCallback                    - Callback called by modelit.webserver.Server object for generating a   
%                                            - simple html response. Authentication is required for this service.   
%  FigureCallback                            - Callback called by a MatlabServer object for generating a   
%                                            - Matlab figure as response   
%  HTMLCallback                              - Callback called by modelit.webserver.Server object for generating a   
%                                            - HTML response.   
%  ImageCallback                             - Callback called by a MatlabServer object for generating   
%                                            - an image of a Matlab figure as response   
%  InfoCallback                              - Callback called by modelit.webserver.Server object for generating a   
%                                            - simple HTML response.   
%  JSONCallback                              - Callback called by modelit.webserver.Server object for generating a   
%                                            - JSON response.   
%  PDFCallback                               - Callback called by a MatlabServer object for generating a   
%                                            - pdf document as response   
%  SurveyCallback                            - Callback called by modelit.webserver.Server object for processing the survey results.   
%  TemperatureConversionCallback             - Callback called by   
%                                            - modelit.webserver.Server object for converting Celcius to Fahrenheit and   
%                                            - vice versa. This example serves the HTML page to the client and uses   
%                                            - JavaScript to update the components of the HTML page. The server only   
%                                            - processes requests to calculate the conversion.   
%  TemperatureConversionSimpleCallback       - Callback called by   
%                                            - modelit.webserver.Server object for converting Celcius to Fahrenheit and   
%                                            - vice versa. This example generates the HTML page on the server.   
%  XMLCallback                               - Callback called by modelit.webserver.Server object for   
%                                            - generating an XML response.   
%  demo_MEWT                                 - Server with examples of callbacks. The server listens to   
%                                            - port in the range 8082 and creates a number of callbacks   
%  monitorprogress                           - Example of progress monitoring of an HTTP request.   
%  simpleMailbox                             - Retrieve and send messages for use "username"   
%  startSimpleMailbox                        - Commands required to start matlab evaluation server   
%  testasync                                 - Example of asynchronous HTTP requests.   
%  userguide                                 - For the latest version of the userguide, please refer to:   
%                                            - https://www.modelit.nl/modelit/ToolboxModelit/EmbeddedMatlabWebserver.pdf   
%  generateSelfSignedCertificate             - Generate a selfsigned certificate to use   
%                                            - https with the modelit.web.server.Server. This function generates the   
%                                            - following files: cacerts.jks, server.cer and keystore.jks and saves them   
%                                            - in the specified directory.   
%  headers2Map                               - Convert Http headers Java hashMap to a Matlab Map.   
%  remoteCallback                            - Side execution of Matlab function.   
%                                            - Counterpart of remoteFunction.   
%  remoteFunction                            - generate remote function that can be called by the client of   
%                                            - modelit.web.server.Server   
%  fig2base64                                - Convert figure to base64, to be used in HTML <img> element.   
%  fig2html                                  - Convert figure to html which can be displayed in a webbrowser   
%                                            - or in a jacontrol of type jeditorpane   
%  fig2image                                 - Convert Matlab figure to java image.   
%  getMatlabVersion                          - Retrieve Matlab version as numeric constant.   
%  getproperty                               - Return matching char string from cell array of keywords   
%  hex2byte                                  - Convert hexadecimal string to byte.   
%  image2html                                - Convert a bufferedimage to html code.   
%  is_eq                                     - Verify if argument pairs are equal.   
%  namevalue2varargin                        - Convert array of name value pairs to varargin cell   
%                                            - array   
%  readBytesFromFile                         - Read content of file as byte array   
%  real2str                                  - Print real data in columns.   
%  serialize                                 - Serialize a Matlab variable.   
%  serialize_v2                              - Serialize Matlab variable, without writing to disk.   
%  toStr                                     - Convert object to string representation.   
%  urldecode_utf                             - Exact copy of \toolbox\matlab\codetools\urldecode.m   
%                                            - For some reason using  urldecode conflicts with compiler. Using   
%                                            - urldecode_utf is a workaround. For completeness was copied to urlencode to   
%                                            - urlencode_utf   
%  urlencode_utf                             - Exact copy of \toolbox\matlab\codetools\urlencode.m.   
%  varargin2struct                           - Convert parameter-value combinations to structure   
%  writestr                                  - Write str to an ASCII file.   
   
   
% © Modelit 2006-2023   
% Matlab release: 2023a   
% Date: 2023/03/24 15:18:56   
